/*
Copyright (c) 2002-2011 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are met:

* Redistributions of source code must retain the above copyright notice, this
 list of conditions and the following disclaimer.
* Redistributions in binary form must reproduce the above copyright notice,
 this list of conditions and the following disclaimer in the documentation
 and/or other materials provided with the distribution.
* Neither the name of Nokia Corporation nor the names of its contributors
 may be used to endorse or promote products derived from this software
 without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Description: 
*/ 

#ifndef OANDXDEFS_H
#define OANDXDEFS_H

// Generic board data
static const TInt KTilesPerRow = 3;
static const TInt KTilesPerCol = 3;
static const TInt KNumberOfTiles = (KTilesPerRow*KTilesPerCol);

// OandX-specific data
static const TInt KTilesPerSide = 3;

enum TTileState
	{
	ETileBlank  = 0, // Values chosen so that:
	ETileNought = 1, // KTilesPerRow*ETileNought < ETileCross
	ETileCross  = 4, // KTilesPerCol*ETileNought < ETileCross
	ETileDraw   = 16 // Added for History view (> KTilesPerCol*ETileCross)
	};

static const TInt KStatusWinHeight = 20; // in pixels

static const TInt KStatsBufSize = 30;
static const TInt KFormatBufSize = 40;
static const TInt KNumHistoryRecords = 6;

const TUid KUidOandXView = {0x00000001};
const TUid KUidOandXHistoryView = {0x00000002};

// Message IDs for use when activating history view 
enum
	{
	EHistoryViewDisplayHistory,
	EHistoryViewDisplayStats
	};

#endif // OANDXDEFS_H
